Bug 170906 - Review Request: pscan
Review Request: pscan
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
David Lawrence
http://www.striker.ottawa.on.ca/~alan...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-15 08:21 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-16 14:15:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-10-15 08:21:55 EDT
http://cachalot.mine.nu/4/SRPMS/pscan-1.2-0.1.src.rpm

PScan is a program which attempts to scan C source files for common
function abuses, which often lead to buffer overflows.
Comment 1 Adrian Reber 2005-10-16 06:18:12 EDT
* sources match upstream
* rpmlint is happy
* spec looks good
* clean installation and removal
* builds in mock

APPROVED

Oh, the summary is indeed correct: "Limited problem scanner" I have tried it on
some files on my system and it has not found even one problem :-)
Comment 2 Ville Skyttä 2005-10-16 06:54:55 EDT
Yep, the functionality is indeed quite limited, but sometimes useful anyway.   
For an example, run it eg. on the unpatched vanilla upstream sources of the 
latest up-imapproxy package in extras.  
  
Thanks for the review, imported; will build when the buildsys is in better  
shape again.  
Comment 3 Ville Skyttä 2005-10-16 14:15:50 EDT
Successfully built for FC-4 and devel. 

Note You need to log in before you can comment on or make changes to this bug.